package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciAssessMapper;
import com.goldenwater.slaj.acci.domain.BisAcciAssess;
import com.goldenwater.slaj.acci.service.IBisAcciAssessService;

/**
 * 事故考核 服务层实现
 */
@Service
public class BisAcciAssessServiceImpl implements IBisAcciAssessService {

    @Autowired
    private BisAcciAssessMapper bisAcciAssessMapper;

    /**
     * 查询事故考核信息
     * @param id 查询条件
     * @return 事故考核信息
     */
    @Override
    public BisAcciAssess selectBisAcciAssessById(Long id) {
        return bisAcciAssessMapper.selectBisAcciAssessById(id);
    }

    /**
     * 查询事故考核列表
     * @param bisAcciAssess 事故考核查询条件
     * @return 事故考核集合
     */
    @Override
    public List<BisAcciAssess> selectBisAcciAssessList(BisAcciAssess bisAcciAssess) {
        return bisAcciAssessMapper.selectBisAcciAssessList(bisAcciAssess);
    }

    /**
     * 新增事故考核
     * @param bisAcciAssess 事故考核信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciAssess(BisAcciAssess bisAcciAssess) {
        return bisAcciAssessMapper.insertBisAcciAssess(bisAcciAssess);
    }

    /**
     * 修改事故考核
     * @param bisAcciAssess 事故考核信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciAssess(BisAcciAssess bisAcciAssess) {
        return bisAcciAssessMapper.updateBisAcciAssess(bisAcciAssess);
    }

    /**
     * 删除事故考核
     * @param id 事故考核主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciAssessById(Long id) {
        return bisAcciAssessMapper.deleteBisAcciAssessById(id);
    }

    /**
     * 批量删除事故考核
     * @param ids 事故考核主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciAssessByIds(Long[] ids) {
        return bisAcciAssessMapper.deleteBisAcciAssessByIds(ids);
    }
}
